=== meson_options.txt ===
option('runtime_libdir',
       type : 'string',
       value : '',
       description : 'install runtime libraries relative to libdir')

option('iconv',
       type : 'combo',
       choices : ['auto', 'libc', 'external'],
       value : 'auto',
       deprecated: true,)

option('charsetalias_dir',
       type : 'string',
       value : '',
       description : 'directory for charset.alias dir (default to \'libdir\' if unset)')

option('gio_module_dir',
       type : 'string',
       value : '',
       description : 'load gio modules from this directory (default to \'libdir/gio/modules\' if unset)')

option('selinux',
       type : 'feature',
       value : 'auto',
       description : 'build with selinux support')

option('xattr',
       type : 'boolean',
       value : true,
       description : 'build with xattr support')

option('libmount',
       type : 'feature',
       value : 'auto',
       description : 'build with libmount support')

option('man',
       type : 'boolean',
       value : false,
       description : 'generate man pages (requires xsltproc)')

option('dtrace',
       type : 'boolean',
       value : false,
       description : 'include tracing support for dtrace')

option('systemtap',
       type : 'boolean',
       value : false,
       description : 'include tracing support for systemtap')

option('tapset_install_dir',
       type : 'string',
       value : '',
       description : 'path where systemtap tapsets are installed')

option('sysprof',
       type : 'feature',
       value : 'disabled',
       description : 'include tracing support for sysprof')

option('gtk_doc',
       type : 'boolean',
       value : false,
       description : 'use gtk-doc to build documentation')

option('bsymbolic_functions',
       type : 'boolean',
       value : true,
       description : 'link with -Bsymbolic-functions if supported')

option('force_posix_threads',
       type : 'boolean',
       value : false,
       description : 'Also use posix threads in case the platform defaults to another implementation (on Windows for example)')

option('tests',
       type : 'boolean',
       value : true,
       description : 'build tests')

option('installed_tests',
       type : 'boolean',
       value : false,
       description : 'enable installed tests')

option('nls',
       type : 'feature',
       value : 'auto',
       yield: true,
       description : 'Enable native language support (translations)')

option('oss_fuzz',
       type : 'feature',
       value : 'disabled',
       description : 'Indicate oss-fuzz build environment')

option('glib_debug',
       type : 'feature',
       value : 'auto',
       yield : true,
       description : 'Enable GLib debug infrastructure (see docs/macros.txt)')

option('glib_assert',
       type : 'boolean',
       value : true,
       yield : true,
       description : 'Enable GLib assertion (see docs/macros.txt)')

option('glib_checks',
       type : 'boolean',
       value : true,
       yield : true,
       description : 'Enable GLib checks such as API guards (see docs/macros.txt)')

option('libelf',
       type : 'feature',
       value : 'auto',
       description : 'Enable support for listing and extracting from ELF resource files with gresource tool')

option('multiarch',
       type : 'boolean',
       value : false,
       description : 'Install some helper executables in per-architecture locations')
